Bug 144680 - [em] em(4) problem with dual-port adapter
Summary: [em] em(4) problem with dual-port adapter
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 7.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: jfv
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2010-03-12 08:30 UTC by Pavel Argentov
Modified: 2015-06-30 18:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Argentov 2010-03-12 08:30:07 UTC
The problem appears when using Intel PRO/1000 MT Dual Port Server Adapter (separate card, not motherboard integrated) in dual-port mode.

When I boot the system without ethernet connection or with only one port plugged the driver starts as usual and works with no problem. But if I connect both ports the driver gives this message:

em0: <Intel(R) PRO/1000 Network Connection 6.9.21> at device 1.0 on pci6
em0: Memory Access and/or Bus Master bits were not set!
em0: 0x20000 bytes of rid 0x10 res 3 failed (0, 0xffffffff).
em0: Unable to allocate bus resource: memory
em0: Allocation of PCI resources failed
device_attach: em0 attach returned 6
em1: <Intel(R) PRO/1000 Network Connection 6.9.21> at device 1.1 on pci6
em1: Memory Access and/or Bus Master bits were not set!
em1: 0x20000 bytes of rid 0x10 res 3 failed (0, 0xffffffff).
em1: Unable to allocate bus resource: memory
em1: Allocation of PCI resources failed

And there are no em devices visible to the system.

If I boot with one port online and then plug the other the card resets (turns LEDs off, then, after a second, on again) and again is invisible to the system.

I've reproduced the same problem with the system's base em(4) driver (6.9.6) and Intel's driver from their site (6.9.21).

Turning "PnP OS" parameter on/off in the BIOS makes no difference.

Here's the complete dmesg:

Copyright (c) 1992-2009 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.2-RELEASE-p3 #0: Thu Feb 25 08:27:41 MSK 2010
    root@pptp-new.rtelekom.ru:/usr/src/sys/i386/compile/PPTP
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Core(TM)2 Quad CPU    Q8400  @ 2.66GHz (2666.38-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0x1067a  Stepping = 10
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x408e3bd<SSE3,DTES64,MON,DS_CPL,VMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,SSE4.1,XSAVE>
  AMD Features=0x20100000<NX,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 4
real memory  = 1073152000 (1023 MB)
avail memory = 1039228928 (991 MB)
ACPI APIC Table: <A_M_I_ OEMAPIC >
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
 cpu2 (AP): APIC ID:  2
 cpu3 (AP): APIC ID:  3
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
acpi0: <A_M_I_ OEMXSDT> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: reservation of fed08000, 1000 (3) failed
acpi0: reservation of fed1c000, 4000 (3) failed
acpi0: reservation of fed20000, 20000 (3) failed
acpi0: reservation of fed50000, 40000 (3) failed
acpi0: reservation of ffc00000, 200000 (3) failed
acpi0: reservation of fec00000, 1000 (3) failed
acpi0: reservation of fee00000, 1000 (3) failed
acpi0: reservation of e0000000, 10000000 (3) failed
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, 3ff00000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
acpi_hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 900
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> irq 16 at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
vgapci0: <VGA-compatible display> port 0xb000-0xb0ff mem 0xd0000000-0xdfffffff,0xfe7e0000-0xfe7effff irq 16 at device 0.0 on pci1
pci1: <multimedia, HDA> at device 0.1 (no driver attached)
uhci0: <UHCI (generic) USB controller> port 0xa800-0xa81f irq 16 at device 26.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0xa880-0xa89f irq 21 at device 26.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
uhci2: <UHCI (generic) USB controller> port 0xac00-0xac1f irq 19 at device 26.2 on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb2: <UHCI (generic) USB controller> on uhci2
usb2: USB revision 1.0
uhub2: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb2
uhub2: 2 ports with 2 removable, self powered
ehci0: <EHCI (generic) USB 2.0 controller> mem 0xfe6ffc00-0xfe6fffff irq 18 at device 26.7 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb3: EHCI version 1.0
usb3: companion controllers, 2 ports each: usb0 usb1 usb2
usb3: <EHCI (generic) USB 2.0 controller> on ehci0
usb3: USB revision 2.0
uhub3: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb3
uhub3: 6 ports with 6 removable, self powered
pcib2: <ACPI PCI-PCI bridge> irq 17 at device 28.0 on pci0
pci4: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 0.0 on pci4
pci6: <ACPI PCI bus> on pcib3
em0: <Intel(R) PRO/1000 Network Connection 6.9.21> at device 1.0 on pci6
em0: Memory Access and/or Bus Master bits were not set!
em0: 0x20000 bytes of rid 0x10 res 3 failed (0, 0xffffffff).
em0: Unable to allocate bus resource: memory
em0: Allocation of PCI resources failed
device_attach: em0 attach returned 6
em1: <Intel(R) PRO/1000 Network Connection 6.9.21> at device 1.1 on pci6
em1: Memory Access and/or Bus Master bits were not set!
em1: 0x20000 bytes of rid 0x10 res 3 failed (0, 0xffffffff).
em1: Unable to allocate bus resource: memory
em1: Allocation of PCI resources failed
device_attach: em1 attach returned 6
pcib4: <ACPI PCI-PCI bridge> mem 0xfeaffc00-0xfeaffc7f irq 16 at device 0.1 on pci4
pci5: <ACPI PCI bus> on pcib4
pcib5: <ACPI PCI-PCI bridge> irq 17 at device 28.4 on pci0
pci3: <ACPI PCI bus> on pcib5
re0: <RealTek 8168/8168B/8168C/8168CP/8168D/8111B/8111C/8111CP PCIe Gigabit Ethernet> port 0xd800-0xd8ff mem 0xfe9ff000-0xfe9fffff,0xfdef0000-0xfdefffff irq 16 at device 0.0 on pci3
re0: Using 1 MSI messages
re0: Chip rev. 0x3c000000
re0: MAC rev. 0x00400000
miibus0: <MII bus> on re0
rgephy0: <RTL8169S/8110S/8211B media interface> PHY 1 on miibus0
rgephy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
re0: Ethernet address: 00:26:18:00:a8:20
re0: [FILTER]
pcib6: <ACPI PCI-PCI bridge> irq 18 at device 28.5 on pci0
pci2: <ACPI PCI bus> on pcib6
re1: <RealTek 8168/8168B/8168C/8168CP/8168D/8111B/8111C/8111CP PCIe Gigabit Ethernet> port 0xc800-0xc8ff mem 0xfe8ff000-0xfe8fffff,0xfddf0000-0xfddfffff irq 17 at device 0.0 on pci2
re1: Using 1 MSI messages
re1: Chip rev. 0x3c000000
re1: MAC rev. 0x00400000
miibus1: <MII bus> on re1
rgephy1: <RTL8169S/8110S/8211B media interface> PHY 1 on miibus1
rgephy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
re1: Ethernet address: 00:26:18:00:a8:bd
re1: [FILTER]
uhci3: <UHCI (generic) USB controller> port 0xa080-0xa09f irq 23 at device 29.0 on pci0
uhci3: [GIANT-LOCKED]
uhci3: [ITHREAD]
usb4: <UHCI (generic) USB controller> on uhci3
usb4: USB revision 1.0
uhub4: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb4
uhub4: 2 ports with 2 removable, self powered
uhci4: <UHCI (generic) USB controller> port 0xa400-0xa41f irq 20 at device 29.1 on pci0
uhci4: [GIANT-LOCKED]
uhci4: [ITHREAD]
usb5: <UHCI (generic) USB controller> on uhci4
usb5: USB revision 1.0
uhub5: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb5
uhub5: 2 ports with 2 removable, self powered
uhci5: <UHCI (generic) USB controller> port 0xa480-0xa49f irq 18 at device 29.2 on pci0
uhci5: [GIANT-LOCKED]
uhci5: [ITHREAD]
usb6: <UHCI (generic) USB controller> on uhci5
usb6: USB revision 1.0
uhub6: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb6
uhub6: 2 ports with 2 removable, self powered
ehci1: <EHCI (generic) USB 2.0 controller> mem 0xfe6ff800-0xfe6ffbff irq 23 at device 29.7 on pci0
ehci1: [GIANT-LOCKED]
ehci1: [ITHREAD]
usb7: EHCI version 1.0
usb7: companion controllers, 2 ports each: usb4 usb5 usb6
usb7: <EHCI (generic) USB 2.0 controller> on ehci1
usb7: USB revision 2.0
uhub7: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb7
uhub7: 6 ports with 6 removable, self powered
pcib7: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci7: <ACPI PCI bus> on pcib7
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel AHCI controller> port 0x9c00-0x9c07,0x9880-0x9883,0x9800-0x9807,0x9480-0x9483,0x9400-0x941f mem 0xfe6fe800-0xfe6fefff irq 19 at device 31.2 on pci0
atapci0: [ITHREAD]
atapci0: AHCI Version 01.20 controller with 6 ports detected
ata2: <ATA channel 0> on atapci0
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci0
ata3: [ITHREAD]
ata4: <ATA channel 2> on atapci0
ata4: [ITHREAD]
ata5: <ATA channel 3> on atapci0
ata5: [ITHREAD]
ata6: <ATA channel 4> on atapci0
ata6: [ITHREAD]
ata7: <ATA channel 5> on atapci0
ata7: [ITHREAD]
ichsmb0: <SMBus controller> port 0x400-0x41f mem 0xfe6ff400-0xfe6ff4ff irq 18 at device 31.3 on pci0
ichsmb0: [GIANT-LOCKED]
ichsmb0: [ITHREAD]
smbus0: <System Management Bus> on ichsmb0
smb0: <SMBus generic I/O> on smbus0
acpi_button0: <Power Button> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
cpu0: <ACPI CPU> on acpi0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
cpu1: <ACPI CPU> on acpi0
est1: <Enhanced SpeedStep Frequency Control> on cpu1
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 616082506000825
device_attach: est1 attach returned 6
p4tcc1: <CPU Frequency Thermal Control> on cpu1
cpu2: <ACPI CPU> on acpi0
est2: <Enhanced SpeedStep Frequency Control> on cpu2
p4tcc2: <CPU Frequency Thermal Control> on cpu2
cpu3: <ACPI CPU> on acpi0
est3: <Enhanced SpeedStep Frequency Control> on cpu3
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 616082506000825
device_attach: est3 attach returned 6
p4tcc3: <CPU Frequency Thermal Control> on cpu3
pmtimer0 on isa0
orm0: <ISA Option ROM> at iomem 0xc0000-0xcefff pnpid ORM0000 on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ata0 at port 0x1f0-0x1f7,0x3f6 irq 14 on isa0
ata0: [ITHREAD]
ata1 at port 0x170-0x177,0x376 irq 15 on isa0
ata1: [ITHREAD]
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0 at port 0x3f8-0x3ff irq 4 flags 0x10 on isa0
sio0: type 8250 or not responding
sio0: [FILTER]
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
Timecounters tick every 1.000 msec
ipfw2 initialized, divert enabled, nat loadable, rule-based forwarding enabled, default to accept, logging limited to 100 packets/entry by default
ad4: 152627MB <Seagate ST3160813AS CC2H> at ata2-master SATA300
SMP: AP CPU #1 Launched!
SMP: AP CPU #2 Launched!
SMP: AP CPU #3 Launched!

How-To-Repeat: Insert Intel PRO/1000 MT Dual Port Server Adapter (82546EB as seen in pciconf; FW82546GB as written on the chip) into a PCI-X slot and boot with both ports plugged.

Alternative: boot with one of two ports plugged; see all ok; plug the second port.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-03-12 08:32:37 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Garrett Cooper 2010-03-12 22:13:47 UTC
On Fri, Mar 12, 2010 at 12:25 AM, Pavel Argentov <argentoff@rtelekom.ru> wr=
ote:
>
>>Number: =A0 =A0 =A0 =A0 144680
>>Category: =A0 =A0 =A0 kern
>>Synopsis: =A0 =A0 =A0 em(4) problem with dual-port adapter
>>Confidential: =A0 no
>>Severity: =A0 =A0 =A0 serious
>>Priority: =A0 =A0 =A0 medium
>>Responsible: =A0 =A0freebsd-bugs
>>State: =A0 =A0 =A0 =A0 =A0open
>>Quarter:
>>Keywords:
>>Date-Required:
>>Class: =A0 =A0 =A0 =A0 =A0sw-bug
>>Submitter-Id: =A0 current-users
>>Arrival-Date: =A0 Fri Mar 12 08:30:07 UTC 2010
>>Closed-Date:
>>Last-Modified:
>>Originator: =A0 =A0 Pavel Argentov
>>Release: =A0 =A0 =A0 =A07.2-RELEASE
>>Organization:
> Ratmir-TeleKom, Ltd.
>>Environment:
> FreeBSD pptp-2.rtelekom.ru 7.2-RELEASE-p3 FreeBSD 7.2-RELEASE-p3 #0: Thu =
Feb 25 08:27:41 MSK 2010 =A0 =A0 root@pptp-new.rtelekom.ru:/usr/src/sys/i38=
6/compile/PPTP =A0i386
>>Description:
> The problem appears when using Intel PRO/1000 MT Dual Port Server Adapter=
 (separate card, not motherboard integrated) in dual-port mode.
>
> When I boot the system without ethernet connection or with only one port =
plugged the driver starts as usual and works with no problem. But if I conn=
ect both ports the driver gives this message:

[...]

> em1: Memory Access and/or Bus Master bits were not set!

[...]

Just stating the obvious, these messages look like they're a good
start to look into the issue you're seeing.
Thanks,
-Garrett
Comment 3 Andre Oppermann freebsd_committer 2010-08-23 15:34:52 UTC
Responsible Changed
From-To: freebsd-net->jfv

Over to maintainer.
Comment 4 Sean Bruno freebsd_committer 2015-06-30 18:25:06 UTC
If possible, retest this with 10.2r or -current and report back.